Bug 467864 - krb5kdc doesn't bind to all interfaces under 2.5.26 kernel
krb5kdc doesn't bind to all interfaces under 2.5.26 kernel
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: krb5 (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 08:27 EDT by Mark Wielaard
Modified: 2009-07-23 13:49 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:30:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mark Wielaard 2008-10-21 08:27:51 EDT
Description of problem:

When upgrading from a 2.6.25 kernel to a 2.6.26 kernel krb5kdc stops binding to all interfaces.

Version-Release number of selected component (if applicable):

krb5-server-1.6.3-10.fc9.x86_64

How reproducible:

Always.

Steps to Reproduce:
1. service krb5kdc start
  
Actual results:

krb5kdc only binds to 0.0.0.0 and :: not any other interfaces.

Expected results:

krb5kdc binds to all interfaces.

Additional info:

/var/log/krb5kdc.log output under 2.6.25.14-108.fc9.x86_64:

Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): setting up network...
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): setting up network...
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): skipping unrecognized local address family 17
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): skipping unrecognized local address family 17
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): skipping unrecognized local address family 17
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): skipping unrecognized local address family 17
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 9: udp 192.168.1.29.750
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 9: udp 192.168.1.29.750
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 10: udp 192.168.1.29.88
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 10: udp 192.168.1.29.88
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 11: udp 192.168.122.1.750
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 11: udp 192.168.122.1.750
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 12: udp 192.168.122.1.88
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 12: udp 192.168.122.1.88
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 13: udp fe80::213:72ff:fe23:9b28%eth0.750
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 13: udp fe80::213:72ff:fe23:9b28%eth0.750
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 14: udp fe80::213:72ff:fe23:9b28%eth0.88
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 14: udp fe80::213:72ff:fe23:9b28%eth0.88
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 15: udp fe80::200:ff:fe00:0%virbr0.750
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 15: udp fe80::200:ff:fe00:0%virbr0.750
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 16: udp fe80::200:ff:fe00:0%virbr0.88
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 16: udp fe80::200:ff:fe00:0%virbr0.88
krb5kdc: setsockopt(IPV6_V6ONLY,1) worked
krb5kdc: setsockopt(IPV6_V6ONLY,1) worked
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 18: tcp 0.0.0.0.88
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 18: tcp 0.0.0.0.88
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 17: tcp ::.88
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): listening on fd 17: tcp ::.88
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): set up 10 sockets
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3296](info): set up 10 sockets
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3297](info): commencing operation
Feb 17 01:11:29 dijkstra.wildebeest.org krb5kdc[3297](info): commencing operation

/var/log/krb5kdc.log output under 2.6.26.5-45.fc9.x86_64:

Oct 21 13:08:43 dijkstra.wildebeest.org krb5kdc[25894](info): setting up network...
Oct 21 13:08:43 dijkstra.wildebeest.org krb5kdc[25894](info): skipping unrecognized local address family 17
Oct 21 13:08:43 dijkstra.wildebeest.org krb5kdc[25894](info): skipping unrecognized local address family 17
krb5kdc: Address already in use - Cannot bind server socket to port 750 address 192.168.1.29
krb5kdc: setsockopt(IPV6_V6ONLY,1) worked
Oct 21 13:08:43 dijkstra.wildebeest.org krb5kdc[25894](info): listening on fd 10: tcp 0.0.0.0.88
Oct 21 13:08:43 dijkstra.wildebeest.org krb5kdc[25894](info): listening on fd 9: tcp ::.88
Oct 21 13:08:43 dijkstra.wildebeest.org krb5kdc[25894](info): set up 2 sockets
Oct 21 13:08:43 dijkstra.wildebeest.org krb5kdc[25895](info): commencing operation
Comment 1 Bug Zapper 2009-06-09 23:02:28 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-07-14 10:30:55 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Nalin Dahyabhai 2009-07-23 13:49:08 EDT
I can't reproduce this with a combination of kernel-2.6.26.5-45.fc9.x86_64 and krb5-server-1.6.3-10.fc9.x86_64, nor when I update krb5-server to 1.6.3-16.fc9 and/or the kernel to 2.6.27.25-78.2.56.fc9.

Note You need to log in before you can comment on or make changes to this bug.